> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quote template

> Retrieve the details of an existing quote template.



## OpenAPI

````yaml get /v1/quotes/templates/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/quotes/templates/{id}:
    get:
      tags:
        - Quotes > Templates
      summary: Get quote template
      description: Retrieve the details of an existing quote template.
      operationId: getQuoteTemplate
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteTemplate'
        '404':
          description: Quote template not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    QuoteTemplate:
      type: object
      properties:
        id:
          type: string
          description: Quote template ID.
          example: quot_9hNWq4c84Z146W
        name:
          type: string
          description: Quote template name.
          example: Enterprise template
        description:
          type:
            - string
            - 'null'
          description: Quote template description.
          example: Reusable template for enterprise quotes.
        comments:
          type:
            - string
            - 'null'
          description: Default comments displayed on quotes created from the template.
          example: Please find the contract and subscription details we discussed.
        terms:
          type:
            - string
            - 'null'
          description: Default terms displayed on quotes created from the template.
          example: >-
            By signing this quote, you accept our conditions of use for the use
            of our products and services.
        expiration_days:
          type: integer
          exclusiveMinimum: 0
          description: >-
            Number of days after creation before quotes created from the
            template expire.
          example: 30
        collect_payment_details:
          type: boolean
          description: >-
            Whether quotes created from the template collect customer payment
            method details during signature.
          example: true
        collect_shipping_details:
          type: boolean
          description: >-
            Whether quotes created from the template collect customer shipping
            details during signature.
          example: false
        collect_custom_property_ids:
          type: array
          items:
            type: string
          description: IDs of customer custom properties required during quote signature.
          example: []
        require_tax_id:
          type: boolean
          description: >-
            Whether quotes created from the template require the customer to
            provide a tax ID during signature.
          example: false
        require_billing_details:
          type: boolean
          description: >-
            Whether quotes created from the template require customer billing
            details during signature.
          example: false
        display_taxes:
          type: boolean
          description: Whether quotes created from the template display taxes.
          example: true
        display_price_tiers:
          type: string
          enum:
            - all
            - matching
            - none
          description: >
            Controls which price tiers are displayed on the quote.


            - `all`: Display all pricing tiers.

            - `matching`: Only display the tiers used to compute the price based
            on quantity.

            - `none`: Hide all pricing tiers.
          example: matching
        display_phase_value:
          type: boolean
          description: >-
            Whether quotes created from the template display per-phase value
            breakdown.
          example: false
        display_quote_value:
          type: boolean
          description: Whether quotes created from the template display total quote value.
          example: true
        display_first_invoice_amount:
          type: boolean
          description: >-
            Whether quotes created from the template display the first invoice
            amount.
          example: false
        display_documents_in_preview:
          type: boolean
          description: >-
            Whether quotes created from the template display attached documents
            in the quote preview.
          example: false
        display_subscription_on_update:
          type: boolean
          description: >-
            Whether subscription update quotes created from the template display
            subscription details.
          example: false
        display_organisation_details:
          type: boolean
          description: >-
            Whether quotes created from the template display organisation
            details.
          example: true
        generate_draft_invoices:
          type: boolean
          description: >-
            Whether invoices issued after quote signature stay in draft status
            instead of being emitted for payment.
          example: false
        subscription_template_id:
          type:
            - string
            - 'null'
          description: ID of the subscription template used by the quote template.
          example: subt_7gdusOkqr5L0B8
        contract_template_ids:
          type: array
          items:
            type: string
          description: IDs of contract templates used by the quote template.
          example:
            - ctpl_QalW2vTAdkR6IY
        contract_clause_ids:
          type: array
          items:
            type: string
          description: IDs of contract clauses used by the quote template.
          example:
            - ccl_QalW2vTAdkR6IY
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/QuoteTemplateAttachment'
          description: List of documents attached to the quote template.
          example:
            - id: quota_5GYXy8P3QCdaXh
              name: General Conditions of Sale
              mimetype: application/pdf
        created_at:
          type: string
          format: date-time
          description: >-
            Quote template creation date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-04-23T09:10:00.220Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Quote template last edition date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-04-23T10:22:08.100Z'
      required:
        - id
        - name
        - description
        - comments
        - terms
        - expiration_days
        - collect_payment_details
        - collect_shipping_details
        - collect_custom_property_ids
        - require_tax_id
        - require_billing_details
        - display_taxes
        - display_price_tiers
        - display_phase_value
        - display_quote_value
        - display_first_invoice_amount
        - display_documents_in_preview
        - display_subscription_on_update
        - display_organisation_details
        - generate_draft_invoices
        - subscription_template_id
        - contract_template_ids
        - contract_clause_ids
        - attachments
        - created_at
        - updated_at
    QuoteTemplateAttachment:
      type: object
      properties:
        id:
          type: string
          description: Quote file ID.
          example: quota_5GYXy8P3QCdaXh
        name:
          type: string
          description: Quote file name.
          example: General Conditions of Sale
        mimetype:
          type: string
          description: Quote file MIME type.
          example: application/pdf
      required:
        - id
        - name
        - mimetype
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````